<div>
    <h2>
        <span jhiTranslate="typerApp.payment.home.title">Payments</span>
        <button class="btn btn-primary float-right jh-create-entity create-payment" [routerLink]="['/', { outlets: { popup: ['payment-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="typerApp.payment.home.createLabel">
            Create new Payment
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="payments">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="global.field.id">ID</span></th>
            <th><span jhiTranslate="typerApp.payment.date">Date</span></th>
            <th><span jhiTranslate="typerApp.payment.amount">Amount</span></th>
            <th><span jhiTranslate="typerApp.payment.league">League</span></th>
            <th><span jhiTranslate="typerApp.payment.user">User</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let payment of payments ;trackBy: trackId">
                <td><a [routerLink]="['../payment', payment.id ]">{{payment.id}}</a></td>
                <td>{{payment.date | date:'medium'}}</td>
                <td>{{payment.amount}}</td>
                <td>
                    <div *ngIf="payment.league">
                        <a [routerLink]="['../league', payment.league?.id ]" >{{payment.league?.name}}</a>
                    </div>
                </td>
                <td>
                    {{payment.user?.login}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../payment', payment.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'payment/'+ payment.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'payment/'+ payment.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
